Subject: bug#56444: Patch to fix Gitolite home directory permissions

From: "Thompson, David" <[email-masked]>
Date: Tue, 23 Aug 2022 10:45:53 -0400

Hi Maxime,

On Tue, Aug 23, 2022, 8:41 AM Maxime Devos <[email-masked]> wrote:

>
> During "guix system reconfigure", there is now window where the
> directory temporarily has incorrect bits and hence if gitolite is
> restarted during that time it will presumably fail.  Could a
> 'home-permission-bits' or such field be added instead to <user-account>
> to make things atomic?
>

That would be a nice improvement to backlog now that such a use case has
emerged. However, I think for our immediate needs this one line patch,
while imperfect, solves a longstanding problem adequately. So how about
merging it, closing this bug, and opening a new bug for the system level
improvement?

- Dave